Document Deleted Detailed

Page View

Document notifications contain details about any documents related to a patient's chart, including CDAs, signed provider notes, or other PDF documents with patient data.

You can receive notifications when a document is created, deleted, or replaced.

deleted

Indicates that an existing document has been deleted from your connection's system.

You can opt in for lightweight or detailed notifications.

  • A lightweight notification provides the DocumentReference reference, patient info, and timestamp.
  • A detailed notification contains everything in the lightweight plus the document content and related references.

Select payload example

DocumentReferenceDeletedFullBundleExample
json
1
{
2
"resourceType": "Bundle",
3
"id": "DocumentReferenceDeletedFullBundleExample",
4
"type": "message",
5
"entry": [
6
{
7
"resource": {
8
"eventUri": "https://fhir.redoxengine.com/EventDefinition/DocumentReferenceDeleted",
9
"resourceType": "MessageHeader",
10
"id": "8b6f1dae-0639-5e50-8627-6c37984d4feb",
11
"source": {
12
"name": "Good Health Clinics",
13
"endpoint": "urn:uuid:05107c08-fe2f-4740-8c1d-c7107d18ebe5"
14
},
15
"focus": [
16
{
17
"reference": "urn:uuid:a920aba9-098b-5c5f-9161-0b96329bba37"
18
}
19
],
20
"definition": "https://fhir.redoxengine.com/MessageDefinition/DocumentReferenceDeletedFull"
21
},
22
"fullUrl": "urn:uuid:8b6f1dae-0639-5e50-8627-6c37984d4feb"
23
},
24
{
25
"fullUrl": "urn:uuid:a920aba9-098b-5c5f-9161-0b96329bba37",
26
"resource": {
27
"resourceType": "DocumentReference",
28
"id": "a920aba9-098b-5c5f-9161-0b96329bba37",
29
"masterIdentifier": {
30
"value": "129.6.58.92.88336",
31
"system": "urn:redox:test:media",
32
"extension": [
33
{
34
"url": "https://fhir.redoxengine.com/StructureDefinition/identifier-origin",
35
"valueString": "RedoxApi"
36
}
37
]
38
},
39
"subject": {
40
"reference": "urn:uuid:d1619496-1c73-5e43-8e9e-c7976b653181"
41
},
42
"status": "current",
43
"description": "Test Description",
44
"type": {
45
"text": "Empty File"
46
},
47
"category": [
48
{
49
"coding": [
50
{
51
"system": "urn:redox:document_kind",
52
"code": "Media"
53
}
54
]
55
}
56
],
57
"context": {
58
"period": {
59
"start": "2015-05-06T06:00:58.872Z"
60
}
61
},
62
"content": [
63
{
64
"attachment": {
65
"data": "PC4uLmJhc2UgNjQgZmlsZSBjb250ZW50cy4uLj4=",
66
"contentType": "application/pdf",
67
"title": "SamplePDF-Order Specific Media"
68
}
69
}
70
]
71
}
72
},
73
{
74
"fullUrl": "urn:uuid:d1619496-1c73-5e43-8e9e-c7976b653181",
75
"resource": {
76
"resourceType": "Patient",
77
"id": "d1619496-1c73-5e43-8e9e-c7976b653181",
78
"meta": {
79
"extension": [
80
{
81
"url": "https://fhir.redoxengine.com/StructureDefinition/example-sort-order",
82
"valueInteger": 1
83
}
84
]
85
},
86
"extension": [
87
{
88
"extension": [
89
{
90
"url": "text",
91
"valueString": "White"
92
}
93
],
94
"url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-race"
95
},
96
{
97
"extension": [
98
{
99
"url": "ombCategory",
100
"valueCoding": {
101
"code": "2135-2",
102
"system": "urn:oid:2.16.840.1.113883.6.238",
103
"display": "Hispanic or Latino"
104
}
105
},
106
{
107
"url": "text",
108
"valueString": "Hispanic"
109
}
110
],
111
"url": "http://hl7.org/fhir/us/core/StructureDefinition/us-core-ethnicity"
112
}
113
],
114
"identifier": [
115
{
116
"value": "0000000001",
117
"system": "urn:redox:health-one:MR"
118
},
119
{
120
"value": "101-01-0001",
121
"system": "http://hl7.org/fhir/sid/us-ssn"
122
}
123
],
124
"name": [
125
{
126
"given": [
127
"Timothy",
128
"Paul"
129
],
130
"family": "Bixby",
131
"use": "official"
132
},
133
{
134
"text": "Billy",
135
"use": "usual"
136
}
137
],
138
"gender": "male",
139
"birthDate": "2008-01-06",
140
"telecom": [
141
{
142
"value": "+18088675301",
143
"system": "phone",
144
"use": "home"
145
},
146
{
147
"value": "+18008675309",
148
"system": "phone",
149
"use": "work"
150
},
151
{
152
"value": "timothy.bixby@redoxengine.com",
153
"system": "email"
154
}
155
],
156
"address": [
157
{
158
"line": [
159
"4762 Hickory Street"
160
],
161
"city": "Monroe",
162
"district": "Greene",
163
"state": "WI",
164
"postalCode": "53566",
165
"country": "US",
166
"use": "home"
167
}
168
],
169
"maritalStatus": {
170
"coding": [
171
{
172
"code": "M",
173
"system": "http://hl7.org/fhir/v3/MaritalStatus",
174
"display": "Married"
175
}
176
],
177
"text": "Married"
178
},
179
"communication": [
180
{
181
"language": {
182
"coding": [
183
{
184
"code": "en",
185
"system": "urn:ietf:bcp:47"
186
}
187
],
188
"text": "English"
189
}
190
}
191
],
192
"contact": [
193
{
194
"name": {
195
"given": [
196
"Barbara"
197
],
198
"family": "Bixby"
199
},
200
"telecom": [
201
{
202
"value": "+18088675303",
203
"system": "phone",
204
"use": "home"
205
},
206
{
207
"value": "barbara.bixby@redoxengine.com",
208
"system": "email"
209
}
210
],
211
"address": {
212
"line": [
213
"4762 Hickory St."
214
],
215
"city": "Monroe",
216
"district": "Green",
217
"state": "WI",
218
"postalCode": "53566",
219
"country": "USA"
220
},
221
"relationship": [
222
{
223
"coding": [
224
{
225
"code": "MTH",
226
"system": "http://terminology.hl7.org/CodeSystem/v3-RoleCode",
227
"display": "mother"
228
}
229
],
230
"text": "Mother"
231
},
232
{
233
"coding": [
234
{
235
"code": "C",
236
"system": "http://terminology.hl7.org/CodeSystem/v2-0131",
237
"display": "Emergency Contact"
238
}
239
],
240
"text": "Emergency Contact"
241
}
242
]
243
}
244
],
245
"generalPractitioner": [
246
{
247
"reference": "urn:uuid:41f6e2ba-7422-5bb6-9ddd-a26c29a90e3b"
248
}
249
],
250
"managingOrganization": {
251
"reference": "urn:uuid:544c7b4a-6c8c-55db-bd89-051c1dfc3df4"
252
}
253
}
254
},
255
{
256
"fullUrl": "urn:uuid:41f6e2ba-7422-5bb6-9ddd-a26c29a90e3b",
257
"resource": {
258
"resourceType": "Practitioner",
259
"id": "41f6e2ba-7422-5bb6-9ddd-a26c29a90e3b",
260
"identifier": [
261
{
262
"system": "http://hl7.org/fhir/sid/us-npi",
263
"value": "4356789876"
264
}
265
],
266
"name": [
267
{
268
"given": [
269
"Pat"
270
],
271
"family": "Granite"
272
}
273
],
274
"address": [
275
{
276
"line": [
277
"123 Main St."
278
],
279
"city": "Madison",
280
"district": "Dane",
281
"state": "WI",
282
"postalCode": "53703",
283
"country": "USA"
284
}
285
],
286
"telecom": [
287
{
288
"value": "+16085551234"
289
}
290
]
291
}
292
},
293
{
294
"fullUrl": "urn:uuid:544c7b4a-6c8c-55db-bd89-051c1dfc3df4",
295
"resource": {
296
"resourceType": "Organization",
297
"id": "544c7b4a-6c8c-55db-bd89-051c1dfc3df4",
298
"identifier": [
299
{
300
"value": "1234",
301
"system": "urn:oid:1.2.3.4"
302
}
303
],
304
"active": true,
305
"name": "Custodial Org",
306
"address": [
307
{
308
"line": [
309
"123 Main St"
310
],
311
"city": "Madison",
312
"state": "WI"
313
}
314
],
315
"telecom": [
316
{
317
"value": "1-800-123-4567",
318
"system": "phone"
319
}
320
],
321
"type": [
322
{
323
"text": "Test Type"
324
}
325
]
326
}
327
}
328
],
329
"timestamp": "2021-06-17T20:33:22.422Z"
330
}

Request Body Schema

    Bundle sent as part of a DocumentReference-deleted event

  • resourceType
    required, string

    Identifies the type of the resource

    Value: Bundle
  • type
    required, string

    Indicates the purpose of this bundle - how it is intended to be used.

    Value: message
  • entry
    required, Array of messageHeader, documentReference, patient, practitioner

    An entry in the bundle containing a FHIR resource

    • fullUrl
      string

      The Absolute URL for the resource. The fullUrl SHALL NOT disagree with the id in the resource - i.e. if the fullUrl is not a urn:uuid, the URL shall be version-independent URL consistent with the Resource.id. The fullUrl is a version independent reference to the resource. The fullUrl element SHALL have a value except that:

      • fullUrl can be empty on a POST (although it does not need to when specifying a temporary id for reference in the bundle)
      • Results from operations might involve resources that are not identified.
    • resource
      object

      The Resource for the entry. The purpose/meaning of the resource is determined by the Bundle.type.

      • resourceType
        required, string

        Identifies the type of the resource

        Value: MessageHeader
      • source
        required, object

        The source application from which this message originated.

        • endpoint
          required, string

          Identifies the routing target to send acknowledgements to.

      • focus
        required, Array of object

        The actual data of the message - a reference to the root/focus class of the event.

        Must be a resource of type Resource.

        • reference
          string

          A reference to another resource. This is typically either a relative reference which includes the resource type and ID, or an internal reference which starts with # and refers to a contained resource.

      • definition
        required, string

        Permanent link to the MessageDefinition for this message.

      • eventUri
        required, string

        Code that identifies the event this message represents and connects it with its definition. Events defined as part of the FHIR specification have the system value http://terminology.hl7.org/CodeSystem/message-events. Alternatively uri to the EventDefinition.

        Value: https://fhir.redoxengine.com/EventDefinition/DocumentReferenceDeleted
  • timestamp
    string

    The date/time that the bundle was assembled - i.e. when the resources were placed in the bundle.

FHIR® is a registered trademark of Health Level Seven International (HL7) and is used with the permission of HL7. Use of this trademark does not constitute an endorsement of products/services by HL7®.